> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ragkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ns_list



## OpenAPI

````yaml GET /ns_list
openapi: 3.0.3
info:
  title: Ragkit API
  description: OpenAPI spec for the Ragkit API platform.
  license:
    name: private
  version: 1.0.0
servers:
  - url: https://api.ragkit.com/v1
    description: Ragkit API version 1
security:
  - bearerAuth: []
tags:
  - name: base
    description: Interact with `base`s.
  - name: documents
    description: Interact with `documents`s.
  - name: namespaces
    description: Interact with `namespace`s.
  - name: service
    description: Retrieve data about the service.
  - name: test
    description: For testing.
paths:
  /ns_list:
    get:
      tags:
        - namespaces
      summary: List all `namespace`s in the authorized organization.
      operationId: ns_list
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NsListResponse'
        4XX:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
        5XX:
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
components:
  schemas:
    NsListResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          description: Always `true`.
          enum:
            - true
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExposedNamespace'
          description: The `namespace` objects.
    FailureResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          description: Always `false`.
          enum:
            - false
          example: false
        message:
          type: string
          description: The error message.
        help:
          type: string
          description: Additional help information, if available.
          nullable: true
    ExposedNamespace:
      type: object
      description: The `namespace`.
      required:
        - key
      properties:
        key:
          type: string
          description: The key of this `namespace`.
        description:
          type: string
          description: A description of this `namespace`.
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````